:root {
    --yuc_primary: #156ef1;
    --yuc_primary_hover: #3b8bff;
    --yuc_primary_bg: #156ef126;
    --yuc_primary_focus: #156ef140;
}

.field-validation-error {
    color: red;
    font-size: 12px;
    font-style: italic;
}

    .field-validation-error:before {
        content: '* ';
    }

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7); /* Fundo escuro semi-transparente */
    z-index: 9999;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
}

/* O Spinner */
.spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #3498db; /* Cor do destaque */
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin-bottom: 10px;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.grid-title {
    border-bottom: 1px solid var(--yc_primary);
    display: flex;
}

.grid-title i {
    margin-left: 5px;
    margin-right: 5px;
    font-size: 15px;
    line-height: 34px;
}

.section-title {
    border-top: 3px solid var(--yuc_primary);
    display: flex;
    color: var(--yuc_primary)
}

    .section-title i {
        margin-left: 5px;
        margin-right: 5px;
        font-size: 15px;
        line-height: 34px;
    }